<template>
  <div class="game-settings">
    <BaseIcon
      class="icon"
      width="72px"
      height="32px"
      color="none"
      iconName="logoIcon"
    />
    <div class="icon-settings bg-navy">
      <h2 class="uppercase fs-700">Pick player 1’s mark</h2>
      <div class="icons-wrapper bg-dark-navy">
        <BaseRadioButton
          :color="xColor"
          @change="changeTurn(1)"
          iconName="xTurnIcon"
        />
        <BaseRadioButton
          :color="oColor"
          checked="true"
          @change="changeTurn(2)"
          iconName="oTurnIcon"
        />
      </div>
      <p class="uppercase paragraph fs-500">Remember: X goes first</p>
    </div>
    <div class="buttons">
      <BaseButton
        class="uppercase btn-cpu bg-light-yellow"
        @click="newGame(true)"
      >
        New Game (vs CPU)
      </BaseButton>
      <BaseButton
        class="uppercase btn-human bg-light-blue"
        @click="newGame(false)"
      >
        New Game (vs player)</BaseButton
      >
    </div>
  </div>
</template>

<script>
import choices from "@/config/choices";
import { ref, computed } from "vue";
export default {
  name: "GameSettings",
  emits: ["newGame"],
  setup(props, { emit }) {
    const choice = ref(choices.O);
    const oColor = computed(function () {
      return choice.value == choices.O ? "#1a2a32" : "#A8BFC9";
    });
    const xColor = computed(function () {
      return choice.value == choices.O ? "#A8BFC9" : "#1a2a32";
    });
    function changeTurn(value) {
      choice.value = value;
    }
    function newGame(isVsCPU) {
      emit("newGame", { isVsCPU: isVsCPU, choice: choice.value });
    }

    return { choice, xColor, oColor, changeTurn, newGame };
  },
};
</script>

<style lang="scss" scoped>
.game-settings {
  @include respond-to("small") {
    width: 30rem;
  }
  .icon {
    width: 100%;
    text-align: center;
  }
  .icon-settings {
    text-align: center;
    margin-top: 2rem;
    border-radius: 15px;
    box-shadow: inset 0 -8px 0 #10212a;
    padding: 2.2rem;
    .paragraph {
      opacity: 0.5;
    }
  }
  .icons-wrapper {
    display: flex;
    align-items: center;
    justify-content: space-between;
    border-radius: 10px;
    margin: 2.4rem 0px 1.7rem;
    padding: 0.5rem;
  }

  .buttons {
    margin-block: 1.5rem;
    display: flex;
    flex-direction: column;
    gap: 1rem;
    .btn-cpu {
      box-shadow: inset 0 -8px 0 var(--clr-light-yellow-shadow);
      &:hover {
        background: var(--clr-light-yellow-hover);
      }
    }
    .btn-human {
      box-shadow: inset 0 -8px 0 var(--clr-light-blue-shadow);
      &:hover {
        background: var(--clr-light-blue-hover);
      }
    }
  }
}
</style>
